
From: Jesse Millan <jessem@cs.pdx.edu>

GCC 4 complains because the function put_compat_shminfo() can't get to its
return statement if there is no error...  If the function does not return
-EFAULT, it doesn't return anything at all.  Looks like a typo.

Signed-off-by: Jesse Millan <jessem@cs.pdx.edu>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 ipc/compat.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN ipc/compat.c~put_compat_shminfo-warning-fix ipc/compat.c
--- devel/ipc/compat.c~put_compat_shminfo-warning-fix	2005-06-30 22:44:04.000000000 -0700
+++ devel-akpm/ipc/compat.c	2005-06-30 22:44:04.000000000 -0700
@@ -572,6 +572,7 @@ static inline int put_compat_shminfo(str
 	err |= __put_user(smi->shmmni, &up->shmmni);
 	err |= __put_user(smi->shmseg, &up->shmseg);
 	err |= __put_user(smi->shmall, &up->shmall);
+	return err;
 }
 
 static inline int put_compat_shm_info(struct shm_info __user *ip,
_
